# SPDX-License-Identifier: MIT
%global source_version 1.17
%global source_release 8
%global source_url     http://arkandis.tuxfamily.org/adffonts.html

%global default_fonts_foundry  ADF
%global default_fonts_license  GPLv2+ with exceptions
%global default_fonts_licenses OTF/COPYING
%global default_fonts_docs     *.txt

%global fonts_family             Tribun
%global fonts_summary            ADF Tribun, a newsprint-like serif font family
%global fonts_fonts              OTF/*.otf
%global fonts_experimental_confs 60-%{fonts_name}.xml
%global fonts_description        %{expand:
Hirwen Harendal started in 1999 the realization of a first font family, aiming
to create another “Times New Roman”… He does not consider this endeavor a huge
success. However, he transformed Tribun progressively since then to give it its
own character.

The idea was to achieve newsprint-like rendering. To this effect, the glyph
bodies, serifs, or even extenders are not normalized and use irregular strokes.
This is most visible in italics though those variations stay imperceptible at
small sizes.

Italics proved time-consuming. They are never an easy thing to draw.
Nevertheless, the designer considers them very close to those of “Times”, with
some variations.

The medium weight uses a stronger stroke. It can be used for emphasis, or for
effects in titles. That being said it has also been used for body copy. It is
also slightly expanded to complete the face offerings.

The condensed version is a bit unusual, since it stands in for both normal and
medium condensed. After several trials, Hirwen decided an intermediate weight
rendered much better both for document display and in print. Secondly, he took
great care to keep readability excellent, and this even for italics.

This font family is particularly well suited for text, display, or
presentations. It is also ideal for all Web publications. It can serve as
alternative to “Times New Roman” and other similar font families.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     *pdf

%auto_init
%auto_pkg

%sourcelist
%global archive_name Tribun-Std-20120228
http://arkandis.tuxfamily.org/fonts/%{archive_name}.zip
http://arkandis.tuxfamily.org/docs/Tribun-Cat.pdf
60-%{fonts_name}.xml

%prep
%auto_prep
%setup -q -n %{archive_name}
install -m 644 %{_sourcedir}/*{pdf,xml} .
%linuxtext NOTICE.txt OTF/COPYING

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.17-7
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.17-6
🐞 Workaround Fedora problems created by rpm forge_commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.17-5
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.17-4
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.17-3
✅ Lint, lint, lint and lint again

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.17-2
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.17-1
✅ Convert to fonts-rpm-macros use

* Sat Oct 10 2009 Nicolas Mailhot <nim@fedoraproject.org>
- 1.13-1
— Initial release
